Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.texteditor
Interface IAnnotationImageProvider

public interface IAnnotationImageProvider

Provides an image for a given annotation.

Since:
  3.0

Method Summary
`ImageDescriptor` | `getImageDescriptor(String imageDescritporId)` Returns the image descriptor for the given symbolic name.
`String` | `getImageDescriptorId(Annotation annotation)` Returns the image descriptor id of the image for the given annotation.
`Image` | `getManagedImage(Annotation annotation)` Returns the image for the given annotation or `null`.

Method Detail

### getManagedImage

    public Image getManagedImage(Annotation annotation)

  Returns the image for the given annotation or `null`. The returned image is managed by this annotation image provided. If the annotation image provider does not support managed images, clients have to manage the annotation images. For that, clients first ask for the image descriptor id for a given annotation (`getImageDescriptorId(Annotation)`) as then for the image descriptor. The image descriptor id should be used to manage the annotation images using an `ImageRegistry`.

  Parameters:
    `annotation` - the annotation
  Returns:
    the managed image

### getImageDescriptorId

    public String getImageDescriptorId(Annotation annotation)

  Returns the image descriptor id of the image for the given annotation.

  Parameters:
    `annotation` - the annotation
  Returns:
    the image descriptor id

### getImageDescriptor

    public ImageDescriptor getImageDescriptor(String imageDescritporId)

  Returns the image descriptor for the given symbolic name.

  Parameters:
    `imageDescritporId` - the image descriptor id
  Returns:
    the image descriptor

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.